<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:02 CET 2009 -->
<TITLE>
DefaultIntIntMultiValueMap
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.util.map.DefaultIntIntMultiValueMap class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="DefaultIntIntMultiValueMap";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/DefaultIntIntMultiValueMap.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/util/map/AbstractMutableMultiValueMap.html" title="class in ch.javasoft.util.map"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/util/map/DefaultMultiValueMap.html" title="class in ch.javasoft.util.map"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/util/map/DefaultIntIntMultiValueMap.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="DefaultIntIntMultiValueMap.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.util.map</FONT>
<BR>
Class DefaultIntIntMultiValueMap</H2>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../../ch/javasoft/util/map/AbstractMultiValueMap.html" title="class in ch.javasoft.util.map">ch.javasoft.util.map.AbstractMultiValueMap</A>&lt;K,V&gt;
      <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../../ch/javasoft/util/map/AbstractMutableMultiValueMap.html" title="class in ch.javasoft.util.map">ch.javasoft.util.map.AbstractMutableMultiValueMap</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;
          <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><B>ch.javasoft.util.map.DefaultIntIntMultiValueMap</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="../../../../ch/javasoft/util/map/IntIntMultiValueMap.html" title="interface in ch.javasoft.util.map">IntIntMultiValueMap</A>, <A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html" title="interface in ch.javasoft.util.map">MultiValueMap</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/Serializable.html" title="class or interface in java.io">Serializable</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Cloneable.html" title="class or interface in java.lang">Cloneable</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>public class <A HREF="../../../../src-html/ch/javasoft/util/map/DefaultIntIntMultiValueMap.html#line.59"><B>DefaultIntIntMultiValueMap</B></A><DT>extends <A HREF="../../../../ch/javasoft/util/map/AbstractMutableMultiValueMap.html" title="class in ch.javasoft.util.map">AbstractMutableMultiValueMap</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;<DT>implements <A HREF="../../../../ch/javasoft/util/map/IntIntMultiValueMap.html" title="interface in ch.javasoft.util.map">IntIntMultiValueMap</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Cloneable.html" title="class or interface in java.lang">Cloneable</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/Serializable.html" title="class or interface in java.io">Serializable</A></DL>
</PRE>

<P>
The <code>IntIntMultiValueMap</code> is a mutable multi value map for int
 keys and values.
<P>

<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../../serialized-form.html#ch.javasoft.util.map.DefaultIntIntMultiValueMap">Serialized Form</A></DL>
<HR>

<P>

<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/map/DefaultIntIntMultiValueMap.html#DefaultIntIntMultiValueMap()">DefaultIntIntMultiValueMap</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructor for an empty multi value map</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/map/DefaultIntIntMultiValueMap.html#DefaultIntIntMultiValueMap(ch.javasoft.util.map.DefaultIntIntMultiValueMap)">DefaultIntIntMultiValueMap</A></B>(<A HREF="../../../../ch/javasoft/util/map/DefaultIntIntMultiValueMap.html" title="class in ch.javasoft.util.map">DefaultIntIntMultiValueMap</A>&nbsp;copy)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructor for a multi value map based on an existing one</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/map/DefaultIntIntMultiValueMap.html#DefaultIntIntMultiValueMap(ch.javasoft.util.ints.IntMap)">DefaultIntIntMultiValueMap</A></B>(<A HREF="../../../../ch/javasoft/util/ints/IntMap.html" title="interface in ch.javasoft.util.ints">IntMap</A>&lt;<A HREF="../../../../ch/javasoft/util/ints/IntCollection.html" title="interface in ch.javasoft.util.ints">IntCollection</A>&gt;&nbsp;collectionMap)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructor for a multi value map based on the given collection map.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/map/DefaultIntIntMultiValueMap.html#DefaultIntIntMultiValueMap(ch.javasoft.util.map.MultiValueMap)">DefaultIntIntMultiValueMap</A></B>(<A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html" title="interface in ch.javasoft.util.map">MultiValueMap</A>&lt;? extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>,? extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;&nbsp;copy)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructor for a multi value map based on an existing one</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/map/DefaultIntIntMultiValueMap.html#add(java.lang.Integer, java.lang.Integer)">add</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&nbsp;key,
       <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Adds the given value to the multi value map</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/map/DefaultIntIntMultiValueMap.html#add(int, int)">add</A></B>(int&nbsp;key,
       int&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Adds the given value to the key collection</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/map/DefaultIntIntMultiValueMap.html#addAll(java.lang.Integer, java.util.Collection)">addAll</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&nbsp;key,
             <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;? extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;&nbsp;values)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Adds the given values to the key collection</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/map/DefaultIntIntMultiValueMap.html#addAll(int, int...)">addAll</A></B>(int&nbsp;key,
             int...&nbsp;values)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Adds the given values to the key collection</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/map/DefaultIntIntMultiValueMap.html#addAll(int, ch.javasoft.util.ints.IntCollection)">addAll</A></B>(int&nbsp;key,
             <A HREF="../../../../ch/javasoft/util/ints/IntCollection.html" title="interface in ch.javasoft.util.ints">IntCollection</A>&nbsp;values)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Adds the given values to the key collection</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/map/DefaultIntIntMultiValueMap.html#addAll(ch.javasoft.util.map.IntIntMultiValueMap)">addAll</A></B>(<A HREF="../../../../ch/javasoft/util/map/IntIntMultiValueMap.html" title="interface in ch.javasoft.util.map">IntIntMultiValueMap</A>&nbsp;mapping)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Adds the key/value-collection entries of the given mapping to this key 
 collection</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/map/DefaultIntIntMultiValueMap.html#addAll(ch.javasoft.util.ints.IntMap)">addAll</A></B>(<A HREF="../../../../ch/javasoft/util/ints/IntMap.html" title="interface in ch.javasoft.util.ints">IntMap</A>&lt;? extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;&nbsp;map)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Adds the key/value map entries of the given map to this key collection</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/map/DefaultIntIntMultiValueMap.html#addAllNested(ch.javasoft.util.ints.IntMap)">addAllNested</A></B>(<A HREF="../../../../ch/javasoft/util/ints/IntMap.html" title="interface in ch.javasoft.util.ints">IntMap</A>&lt;? extends <A HREF="../../../../ch/javasoft/util/ints/IntCollection.html" title="interface in ch.javasoft.util.ints">IntCollection</A>&gt;&nbsp;map)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Adds the key/value-collection entries of the given map to this key 
 collection</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/util/ints/IntMap.html" title="interface in ch.javasoft.util.ints">IntMap</A>&lt;? extends <A HREF="../../../../ch/javasoft/util/ints/IntCollection.html" title="interface in ch.javasoft.util.ints">IntCollection</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/map/DefaultIntIntMultiValueMap.html#asCollectionMap()">asCollectionMap</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Implementation returns an <A HREF="../../../../ch/javasoft/util/ints/IntHashMap.html" title="class in ch.javasoft.util.ints"><CODE>IntHashMap</CODE></A> containing 
 <A HREF="../../../../ch/javasoft/util/ints/DefaultIntList.html" title="class in ch.javasoft.util.ints"><CODE>DefaultIntList</CODE></A> instances.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/util/ints/IntMap.html" title="interface in ch.javasoft.util.ints">IntMap</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/map/DefaultIntIntMultiValueMap.html#asSingleValueMap()">asSingleValueMap</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Implementation returns an <A HREF="../../../../ch/javasoft/util/ints/IntHashMap.html" title="class in ch.javasoft.util.ints"><CODE>IntHashMap</CODE></A> containing 
 the single values.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/map/DefaultIntIntMultiValueMap.html#clear()">clear</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Removes all entries from this mapping</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/util/map/DefaultIntIntMultiValueMap.html" title="class in ch.javasoft.util.map">DefaultIntIntMultiValueMap</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/map/DefaultIntIntMultiValueMap.html#clone()">clone</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/map/DefaultIntIntMultiValueMap.html#contains(int)">contains</A></B>(int&nbsp;key)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns true if the value collection is non-empty</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/map/DefaultIntIntMultiValueMap.html#contains(int, int)">contains</A></B>(int&nbsp;key,
                 int&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns true if the value collection contains at least one occurrence of
 the given value</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/map/DefaultIntIntMultiValueMap.html#contains(java.lang.Object)">contains</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;key)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns true if the value collection is non-empty</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/map/DefaultIntIntMultiValueMap.html#contains(java.lang.Object, java.lang.Integer)">contains</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;key,
                 <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns true if the value collection contains at least one occurrence of
 the given value</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/map/DefaultIntIntMultiValueMap.html#count(int)">count</A></B>(int&nbsp;key)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the number of values in the value collection</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/map/DefaultIntIntMultiValueMap.html#count(java.lang.Object)">count</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;key)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the number of values in the value collection</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../ch/javasoft/util/ints/IntCollection.html" title="interface in ch.javasoft.util.ints">IntCollection</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/map/DefaultIntIntMultiValueMap.html#createCollection(int)">createCollection</A></B>(int&nbsp;key)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a new int list instance.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../ch/javasoft/util/map/DefaultIntIntMultiValueMap.html" title="class in ch.javasoft.util.map">DefaultIntIntMultiValueMap</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/map/DefaultIntIntMultiValueMap.html#createFromCollectionMap(java.util.Map)">createFromCollectionMap</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A>&lt;? extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>,? extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;? extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;&gt;&nbsp;collectionMap)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates a multi value map from an existing collection map.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../ch/javasoft/util/map/DefaultIntIntMultiValueMap.html" title="class in ch.javasoft.util.map">DefaultIntIntMultiValueMap</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/map/DefaultIntIntMultiValueMap.html#createFromSingleValueMap(java.util.Map)">createFromSingleValueMap</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A>&lt;? extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>,? extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;&nbsp;singleMap)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates a multi value map from an existing (single value) map</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../ch/javasoft/util/ints/IntMap.html" title="interface in ch.javasoft.util.ints">IntMap</A>&lt;<A HREF="../../../../ch/javasoft/util/ints/IntCollection.html" title="interface in ch.javasoft.util.ints">IntCollection</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/map/DefaultIntIntMultiValueMap.html#createMap()">createMap</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a new map instance.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/util/ints/IntCollection.html" title="interface in ch.javasoft.util.ints">IntCollection</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/map/DefaultIntIntMultiValueMap.html#get(int)">get</A></B>(int&nbsp;key)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns an unmodifiable value collection.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/util/ints/IntCollection.html" title="interface in ch.javasoft.util.ints">IntCollection</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/map/DefaultIntIntMultiValueMap.html#get(java.lang.Object)">get</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;key)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns an unmodifiable value collection.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/map/DefaultIntIntMultiValueMap.html#getFirst(int)">getFirst</A></B>(int&nbsp;key)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the first value associated with this key, or throws an exception
 if no such value exists</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/map/DefaultIntIntMultiValueMap.html#getFirst(java.lang.Object)">getFirst</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;key)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the first value of the value collection, or null if no such value
 exists</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../ch/javasoft/util/ints/IntCollection.html" title="interface in ch.javasoft.util.ints">IntCollection</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/map/DefaultIntIntMultiValueMap.html#getOrCreateCollection(int)">getOrCreateCollection</A></B>(int&nbsp;key)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the value collection for the specified key.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/util/map/IntIntMultiValueMap.html" title="interface in ch.javasoft.util.map">IntIntMultiValueMap</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/map/DefaultIntIntMultiValueMap.html#invert()">invert</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Implementation returns a new <A HREF="../../../../ch/javasoft/util/map/DefaultIntIntMultiValueMap.html" title="class in ch.javasoft.util.map"><CODE>DefaultIntIntMultiValueMap</CODE></A> instance.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/map/DefaultIntIntMultiValueMap.html#isEmpty()">isEmpty</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns true if this map is empty</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/util/ints/IntSet.html" title="interface in ch.javasoft.util.ints">IntSet</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/map/DefaultIntIntMultiValueMap.html#keySet()">keySet</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns an modifiable key set, i.e.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/map/DefaultIntIntMultiValueMap.html#remove(int)">remove</A></B>(int&nbsp;key)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns all values belonging to this key, i.e.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/map/DefaultIntIntMultiValueMap.html#remove(int, int)">remove</A></B>(int&nbsp;key,
             int&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a single value of the value collection, if it exists</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/map/DefaultIntIntMultiValueMap.html#remove(java.lang.Object)">remove</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;key)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns all values belonging to this key, i.e.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/map/DefaultIntIntMultiValueMap.html#remove(java.lang.Object, java.lang.Integer)">remove</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;key,
             <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a single value of the value collection, if it exists</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/util/ints/IntIterable.html" title="interface in ch.javasoft.util.ints">IntIterable</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/map/DefaultIntIntMultiValueMap.html#values()">values</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns an unmodifiable iterator for all values</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.util.map.AbstractMutableMultiValueMap"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class ch.javasoft.util.map.<A HREF="../../../../ch/javasoft/util/map/AbstractMutableMultiValueMap.html" title="class in ch.javasoft.util.map">AbstractMutableMultiValueMap</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/util/map/AbstractMutableMultiValueMap.html#addAll(K, V...)">addAll</A>, <A HREF="../../../../ch/javasoft/util/map/AbstractMutableMultiValueMap.html#addAll(java.util.Map)">addAll</A>, <A HREF="../../../../ch/javasoft/util/map/AbstractMutableMultiValueMap.html#addAll(ch.javasoft.util.map.MultiValueMap)">addAll</A>, <A HREF="../../../../ch/javasoft/util/map/AbstractMutableMultiValueMap.html#addAllNested(java.util.Map)">addAllNested</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.util.map.AbstractMultiValueMap"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class ch.javasoft.util.map.<A HREF="../../../../ch/javasoft/util/map/AbstractMultiValueMap.html" title="class in ch.javasoft.util.map">AbstractMultiValueMap</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/util/map/AbstractMultiValueMap.html#equals(java.lang.Object)">equals</A>, <A HREF="../../../../ch/javasoft/util/map/AbstractMultiValueMap.html#hashCode()">hashCode</A>, <A HREF="../../../../ch/javasoft/util/map/AbstractMultiValueMap.html#keySize()">keySize</A>, <A HREF="../../../../ch/javasoft/util/map/AbstractMultiValueMap.html#toString()">toString</A>, <A HREF="../../../../ch/javasoft/util/map/AbstractMultiValueMap.html#valueSize()">valueSize</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.util.map.IntIntMultiValueMap"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.util.map.<A HREF="../../../../ch/javasoft/util/map/IntIntMultiValueMap.html" title="interface in ch.javasoft.util.map">IntIntMultiValueMap</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/util/map/IntIntMultiValueMap.html#keySize()">keySize</A>, <A HREF="../../../../ch/javasoft/util/map/IntIntMultiValueMap.html#valueSize()">valueSize</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.util.map.MultiValueMap"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.util.map.<A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html" title="interface in ch.javasoft.util.map">MultiValueMap</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html#addAll(K, V...)">addAll</A>, <A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html#addAll(java.util.Map)">addAll</A>, <A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html#addAll(ch.javasoft.util.map.MultiValueMap)">addAll</A>, <A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html#addAllNested(java.util.Map)">addAllNested</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="DefaultIntIntMultiValueMap()"><!-- --></A><H3>
DefaultIntIntMultiValueMap</H3>
<PRE>
public <A HREF="../../../../src-html/ch/javasoft/util/map/DefaultIntIntMultiValueMap.html#line.69"><B>DefaultIntIntMultiValueMap</B></A>()</PRE>
<DL>
<DD>Constructor for an empty multi value map
<P>
</DL>
<HR>

<A NAME="DefaultIntIntMultiValueMap(ch.javasoft.util.map.MultiValueMap)"><!-- --></A><H3>
DefaultIntIntMultiValueMap</H3>
<PRE>
public <A HREF="../../../../src-html/ch/javasoft/util/map/DefaultIntIntMultiValueMap.html#line.75"><B>DefaultIntIntMultiValueMap</B></A>(<A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html" title="interface in ch.javasoft.util.map">MultiValueMap</A>&lt;? extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>,? extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;&nbsp;copy)</PRE>
<DL>
<DD>Constructor for a multi value map based on an existing one
<P>
</DL>
<HR>

<A NAME="DefaultIntIntMultiValueMap(ch.javasoft.util.map.DefaultIntIntMultiValueMap)"><!-- --></A><H3>
DefaultIntIntMultiValueMap</H3>
<PRE>
public <A HREF="../../../../src-html/ch/javasoft/util/map/DefaultIntIntMultiValueMap.html#line.86"><B>DefaultIntIntMultiValueMap</B></A>(<A HREF="../../../../ch/javasoft/util/map/DefaultIntIntMultiValueMap.html" title="class in ch.javasoft.util.map">DefaultIntIntMultiValueMap</A>&nbsp;copy)</PRE>
<DL>
<DD>Constructor for a multi value map based on an existing one
<P>
</DL>
<HR>

<A NAME="DefaultIntIntMultiValueMap(ch.javasoft.util.ints.IntMap)"><!-- --></A><H3>
DefaultIntIntMultiValueMap</H3>
<PRE>
public <A HREF="../../../../src-html/ch/javasoft/util/map/DefaultIntIntMultiValueMap.html#line.105"><B>DefaultIntIntMultiValueMap</B></A>(<A HREF="../../../../ch/javasoft/util/ints/IntMap.html" title="interface in ch.javasoft.util.ints">IntMap</A>&lt;<A HREF="../../../../ch/javasoft/util/ints/IntCollection.html" title="interface in ch.javasoft.util.ints">IntCollection</A>&gt;&nbsp;collectionMap)</PRE>
<DL>
<DD>Constructor for a multi value map based on the given collection map. The
 submitted map and its contents are not copied, thus, changes to it will
 also affect the newly created multi value map instance. To copy the
 submitted map, <A HREF="../../../../ch/javasoft/util/map/DefaultIntIntMultiValueMap.html#createFromCollectionMap(java.util.Map)"><CODE>createFromCollectionMap(Map)</CODE></A> can be used.
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>collectionMap</CODE> - the map to use for this multi value map</DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="createFromSingleValueMap(java.util.Map)"><!-- --></A><H3>
createFromSingleValueMap</H3>
<PRE>
public static <A HREF="../../../../ch/javasoft/util/map/DefaultIntIntMultiValueMap.html" title="class in ch.javasoft.util.map">DefaultIntIntMultiValueMap</A> <A HREF="../../../../src-html/ch/javasoft/util/map/DefaultIntIntMultiValueMap.html#line.116"><B>createFromSingleValueMap</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A>&lt;? extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>,? extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;&nbsp;singleMap)</PRE>
<DL>
<DD>Creates a multi value map from an existing (single value) map
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>singleMap</CODE> - the map containing key/value pairs to add to the new map
<DT><B>Returns:</B><DD>a new multi value map containing the entries of the submitted
                        single value map</DL>
</DD>
</DL>
<HR>

<A NAME="createFromCollectionMap(java.util.Map)"><!-- --></A><H3>
createFromCollectionMap</H3>
<PRE>
public static <A HREF="../../../../ch/javasoft/util/map/DefaultIntIntMultiValueMap.html" title="class in ch.javasoft.util.map">DefaultIntIntMultiValueMap</A> <A HREF="../../../../src-html/ch/javasoft/util/map/DefaultIntIntMultiValueMap.html#line.131"><B>createFromCollectionMap</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A>&lt;? extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>,? extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;? extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;&gt;&nbsp;collectionMap)</PRE>
<DL>
<DD>Creates a multi value map from an existing collection map.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>collectionMap</CODE> - the map containing key/list-of-value entries to add 
                                                to the new map
<DT><B>Returns:</B><DD>a new multi value map containing the entries of the submitted
                        collection map</DL>
</DD>
</DL>
<HR>

<A NAME="add(java.lang.Integer, java.lang.Integer)"><!-- --></A><H3>
add</H3>
<PRE>
public boolean <A HREF="../../../../src-html/ch/javasoft/util/map/DefaultIntIntMultiValueMap.html#line.149"><B>add</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&nbsp;key,
                   <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&nbsp;value)</PRE>
<DL>
<DD>Adds the given value to the multi value map
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html#add(K, V)">add</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html" title="interface in ch.javasoft.util.map">MultiValueMap</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;</CODE><DT><B>Overrides:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/map/AbstractMultiValueMap.html#add(K, V)">add</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/util/map/AbstractMultiValueMap.html" title="class in ch.javasoft.util.map">AbstractMultiValueMap</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;</CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>key</CODE> - the key which identifies the value collection<DD><CODE>value</CODE> - the value to add
<DT><B>Returns:</B><DD>true if this map has changed, which is usually the case. If sets
                        are used as key collections, however, the method could also 
                        return false if the given value already existed.
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/UnsupportedOperationException.html" title="class or interface in java.lang">UnsupportedOperationException</A></CODE> - if this is an immutable map</DL>
</DD>
</DL>
<HR>

<A NAME="add(int, int)"><!-- --></A><H3>
add</H3>
<PRE>
public boolean <A HREF="../../../../src-html/ch/javasoft/util/map/DefaultIntIntMultiValueMap.html#line.152"><B>add</B></A>(int&nbsp;key,
                   int&nbsp;value)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/util/map/IntIntMultiValueMap.html#add(int, int)">IntIntMultiValueMap</A></CODE></B></DD>
<DD>Adds the given value to the key collection
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/map/IntIntMultiValueMap.html#add(int, int)">add</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/map/IntIntMultiValueMap.html" title="interface in ch.javasoft.util.map">IntIntMultiValueMap</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>key</CODE> - the key which identifies the value collection<DD><CODE>value</CODE> - the value to add
<DT><B>Returns:</B><DD>true if this map has changed, which is usually the case. If sets
                        are used as key collections, however, the method could also 
                        return false if the given value already existed.</DL>
</DD>
</DL>
<HR>

<A NAME="addAll(int, ch.javasoft.util.ints.IntCollection)"><!-- --></A><H3>
addAll</H3>
<PRE>
public boolean <A HREF="../../../../src-html/ch/javasoft/util/map/DefaultIntIntMultiValueMap.html#line.156"><B>addAll</B></A>(int&nbsp;key,
                      <A HREF="../../../../ch/javasoft/util/ints/IntCollection.html" title="interface in ch.javasoft.util.ints">IntCollection</A>&nbsp;values)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/util/map/IntIntMultiValueMap.html#addAll(int, ch.javasoft.util.ints.IntCollection)">IntIntMultiValueMap</A></CODE></B></DD>
<DD>Adds the given values to the key collection
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/map/IntIntMultiValueMap.html#addAll(int, ch.javasoft.util.ints.IntCollection)">addAll</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/map/IntIntMultiValueMap.html" title="interface in ch.javasoft.util.map">IntIntMultiValueMap</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>key</CODE> - the key which identifies the value collection<DD><CODE>values</CODE> - the values to add
<DT><B>Returns:</B><DD>true if this map has changed as a consequence of this 
                        operation</DL>
</DD>
</DL>
<HR>

<A NAME="addAll(java.lang.Integer, java.util.Collection)"><!-- --></A><H3>
addAll</H3>
<PRE>
public boolean <A HREF="../../../../src-html/ch/javasoft/util/map/DefaultIntIntMultiValueMap.html#line.162"><B>addAll</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&nbsp;key,
                      <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;? extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;&nbsp;values)</PRE>
<DL>
<DD><B>Description copied from class: <CODE><A HREF="../../../../ch/javasoft/util/map/AbstractMutableMultiValueMap.html#addAll(K, java.util.Collection)">AbstractMutableMultiValueMap</A></CODE></B></DD>
<DD>Adds the given values to the key collection
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html#addAll(K, java.util.Collection)">addAll</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html" title="interface in ch.javasoft.util.map">MultiValueMap</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;</CODE><DT><B>Overrides:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/map/AbstractMutableMultiValueMap.html#addAll(K, java.util.Collection)">addAll</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/util/map/AbstractMutableMultiValueMap.html" title="class in ch.javasoft.util.map">AbstractMutableMultiValueMap</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;</CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>key</CODE> - the key which identifies the value collection<DD><CODE>values</CODE> - the values to add
<DT><B>Returns:</B><DD>true if this map has changed as a consequence of this 
                        operation</DL>
</DD>
</DL>
<HR>

<A NAME="addAll(int, int...)"><!-- --></A><H3>
addAll</H3>
<PRE>
public boolean <A HREF="../../../../src-html/ch/javasoft/util/map/DefaultIntIntMultiValueMap.html#line.168"><B>addAll</B></A>(int&nbsp;key,
                      int...&nbsp;values)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/util/map/IntIntMultiValueMap.html#addAll(int, int...)">IntIntMultiValueMap</A></CODE></B></DD>
<DD>Adds the given values to the key collection
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/map/IntIntMultiValueMap.html#addAll(int, int...)">addAll</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/map/IntIntMultiValueMap.html" title="interface in ch.javasoft.util.map">IntIntMultiValueMap</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>key</CODE> - the key which identifies the value collection<DD><CODE>values</CODE> - the values to add
<DT><B>Returns:</B><DD>true if this map has changed as a consequence of this 
                        operation</DL>
</DD>
</DL>
<HR>

<A NAME="addAll(ch.javasoft.util.ints.IntMap)"><!-- --></A><H3>
addAll</H3>
<PRE>
public boolean <A HREF="../../../../src-html/ch/javasoft/util/map/DefaultIntIntMultiValueMap.html#line.175"><B>addAll</B></A>(<A HREF="../../../../ch/javasoft/util/ints/IntMap.html" title="interface in ch.javasoft.util.ints">IntMap</A>&lt;? extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;&nbsp;map)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/util/map/IntIntMultiValueMap.html#addAll(ch.javasoft.util.ints.IntMap)">IntIntMultiValueMap</A></CODE></B></DD>
<DD>Adds the key/value map entries of the given map to this key collection
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/map/IntIntMultiValueMap.html#addAll(ch.javasoft.util.ints.IntMap)">addAll</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/map/IntIntMultiValueMap.html" title="interface in ch.javasoft.util.map">IntIntMultiValueMap</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>map</CODE> - the map containing key/value-collection entries to add
<DT><B>Returns:</B><DD>true if this map has changed as a consequence of this 
                        operation</DL>
</DD>
</DL>
<HR>

<A NAME="addAll(ch.javasoft.util.map.IntIntMultiValueMap)"><!-- --></A><H3>
addAll</H3>
<PRE>
public boolean <A HREF="../../../../src-html/ch/javasoft/util/map/DefaultIntIntMultiValueMap.html#line.184"><B>addAll</B></A>(<A HREF="../../../../ch/javasoft/util/map/IntIntMultiValueMap.html" title="interface in ch.javasoft.util.map">IntIntMultiValueMap</A>&nbsp;mapping)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/util/map/IntIntMultiValueMap.html#addAll(ch.javasoft.util.map.IntIntMultiValueMap)">IntIntMultiValueMap</A></CODE></B></DD>
<DD>Adds the key/value-collection entries of the given mapping to this key 
 collection
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/map/IntIntMultiValueMap.html#addAll(ch.javasoft.util.map.IntIntMultiValueMap)">addAll</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/map/IntIntMultiValueMap.html" title="interface in ch.javasoft.util.map">IntIntMultiValueMap</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>mapping</CODE> - the mapping containing key/value-collection entries to add
<DT><B>Returns:</B><DD>true if this map has changed as a consequence of this 
                        operation</DL>
</DD>
</DL>
<HR>

<A NAME="addAllNested(ch.javasoft.util.ints.IntMap)"><!-- --></A><H3>
addAllNested</H3>
<PRE>
public boolean <A HREF="../../../../src-html/ch/javasoft/util/map/DefaultIntIntMultiValueMap.html#line.193"><B>addAllNested</B></A>(<A HREF="../../../../ch/javasoft/util/ints/IntMap.html" title="interface in ch.javasoft.util.ints">IntMap</A>&lt;? extends <A HREF="../../../../ch/javasoft/util/ints/IntCollection.html" title="interface in ch.javasoft.util.ints">IntCollection</A>&gt;&nbsp;map)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/util/map/IntIntMultiValueMap.html#addAllNested(ch.javasoft.util.ints.IntMap)">IntIntMultiValueMap</A></CODE></B></DD>
<DD>Adds the key/value-collection entries of the given map to this key 
 collection
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/map/IntIntMultiValueMap.html#addAllNested(ch.javasoft.util.ints.IntMap)">addAllNested</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/map/IntIntMultiValueMap.html" title="interface in ch.javasoft.util.map">IntIntMultiValueMap</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>map</CODE> - the map containing key/value-collection entries to add
<DT><B>Returns:</B><DD>true if this map has changed as a consequence of this 
                        operation</DL>
</DD>
</DL>
<HR>

<A NAME="get(java.lang.Object)"><!-- --></A><H3>
get</H3>
<PRE>
public <A HREF="../../../../ch/javasoft/util/ints/IntCollection.html" title="interface in ch.javasoft.util.ints">IntCollection</A> <A HREF="../../../../src-html/ch/javasoft/util/map/DefaultIntIntMultiValueMap.html#line.208"><B>get</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;key)</PRE>
<DL>
<DD>Returns an unmodifiable value collection.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html#get(java.lang.Object)">get</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html" title="interface in ch.javasoft.util.map">MultiValueMap</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;</CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>key</CODE> - the key which identifies the value collection
<DT><B>Returns:</B><DD>the value collection for the given key, never null, and 
                        non-empty for existing keys<DT><B>See Also:</B><DD><A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html#get(java.lang.Object)"><CODE>MultiValueMap.get(Object)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="get(int)"><!-- --></A><H3>
get</H3>
<PRE>
public <A HREF="../../../../ch/javasoft/util/ints/IntCollection.html" title="interface in ch.javasoft.util.ints">IntCollection</A> <A HREF="../../../../src-html/ch/javasoft/util/map/DefaultIntIntMultiValueMap.html#line.218"><B>get</B></A>(int&nbsp;key)</PRE>
<DL>
<DD>Returns an unmodifiable value collection.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/map/IntIntMultiValueMap.html#get(int)">get</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/map/IntIntMultiValueMap.html" title="interface in ch.javasoft.util.map">IntIntMultiValueMap</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>key</CODE> - the key which identifies the value collection
<DT><B>Returns:</B><DD>the value collection for the given key, never null, and 
                        non-empty for existing keys<DT><B>See Also:</B><DD><A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html#get(java.lang.Object)"><CODE>MultiValueMap.get(Object)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getFirst(java.lang.Object)"><!-- --></A><H3>
getFirst</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A> <A HREF="../../../../src-html/ch/javasoft/util/map/DefaultIntIntMultiValueMap.html#line.225"><B>getFirst</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;key)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html#getFirst(java.lang.Object)">MultiValueMap</A></CODE></B></DD>
<DD>Returns the first value of the value collection, or null if no such value
 exists
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html#getFirst(java.lang.Object)">getFirst</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html" title="interface in ch.javasoft.util.map">MultiValueMap</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;</CODE><DT><B>Overrides:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/map/AbstractMultiValueMap.html#getFirst(java.lang.Object)">getFirst</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/util/map/AbstractMultiValueMap.html" title="class in ch.javasoft.util.map">AbstractMultiValueMap</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;</CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>key</CODE> - the key which identifies the value collection
<DT><B>Returns:</B><DD>the first value of the value collection, or null if no such 
                        value exists</DL>
</DD>
</DL>
<HR>

<A NAME="getFirst(int)"><!-- --></A><H3>
getFirst</H3>
<PRE>
public int <A HREF="../../../../src-html/ch/javasoft/util/map/DefaultIntIntMultiValueMap.html#line.237"><B>getFirst</B></A>(int&nbsp;key)</PRE>
<DL>
<DD>Returns the first value associated with this key, or throws an exception
 if no such value exists
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/map/IntIntMultiValueMap.html#getFirst(int)">getFirst</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/map/IntIntMultiValueMap.html" title="interface in ch.javasoft.util.map">IntIntMultiValueMap</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>key</CODE> - the key to search for
<DT><B>Returns:</B><DD>the first value associated with this key
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/NoSuchElementException.html" title="class or interface in java.util">NoSuchElementException</A></CODE> - if no value exists for the given key</DL>
</DD>
</DL>
<HR>

<A NAME="count(java.lang.Object)"><!-- --></A><H3>
count</H3>
<PRE>
public int <A HREF="../../../../src-html/ch/javasoft/util/map/DefaultIntIntMultiValueMap.html#line.242"><B>count</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;key)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html#count(java.lang.Object)">MultiValueMap</A></CODE></B></DD>
<DD>Returns the number of values in the value collection
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html#count(java.lang.Object)">count</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html" title="interface in ch.javasoft.util.map">MultiValueMap</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;</CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>key</CODE> - the key which identifies the value collection
<DT><B>Returns:</B><DD>the number of values in the value collection</DL>
</DD>
</DL>
<HR>

<A NAME="count(int)"><!-- --></A><H3>
count</H3>
<PRE>
public int <A HREF="../../../../src-html/ch/javasoft/util/map/DefaultIntIntMultiValueMap.html#line.246"><B>count</B></A>(int&nbsp;key)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/util/map/IntIntMultiValueMap.html#count(int)">IntIntMultiValueMap</A></CODE></B></DD>
<DD>Returns the number of values in the value collection
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/map/IntIntMultiValueMap.html#count(int)">count</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/map/IntIntMultiValueMap.html" title="interface in ch.javasoft.util.map">IntIntMultiValueMap</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>key</CODE> - the key which identifies the value collection
<DT><B>Returns:</B><DD>the number of values in the value collection</DL>
</DD>
</DL>
<HR>

<A NAME="isEmpty()"><!-- --></A><H3>
isEmpty</H3>
<PRE>
public boolean <A HREF="../../../../src-html/ch/javasoft/util/map/DefaultIntIntMultiValueMap.html#line.251"><B>isEmpty</B></A>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html#isEmpty()">MultiValueMap</A></CODE></B></DD>
<DD>Returns true if this map is empty
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/map/IntIntMultiValueMap.html#isEmpty()">isEmpty</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/map/IntIntMultiValueMap.html" title="interface in ch.javasoft.util.map">IntIntMultiValueMap</A></CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html#isEmpty()">isEmpty</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html" title="interface in ch.javasoft.util.map">MultiValueMap</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;</CODE><DT><B>Overrides:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/map/AbstractMultiValueMap.html#isEmpty()">isEmpty</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/util/map/AbstractMultiValueMap.html" title="class in ch.javasoft.util.map">AbstractMultiValueMap</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;</CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>true if this map is empty</DL>
</DD>
</DL>
<HR>

<A NAME="contains(java.lang.Object)"><!-- --></A><H3>
contains</H3>
<PRE>
public boolean <A HREF="../../../../src-html/ch/javasoft/util/map/DefaultIntIntMultiValueMap.html#line.255"><B>contains</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;key)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html#contains(java.lang.Object)">MultiValueMap</A></CODE></B></DD>
<DD>Returns true if the value collection is non-empty
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html#contains(java.lang.Object)">contains</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html" title="interface in ch.javasoft.util.map">MultiValueMap</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;</CODE><DT><B>Overrides:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/map/AbstractMultiValueMap.html#contains(java.lang.Object)">contains</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/util/map/AbstractMultiValueMap.html" title="class in ch.javasoft.util.map">AbstractMultiValueMap</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;</CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>key</CODE> - the key which identifies the value collection
<DT><B>Returns:</B><DD>true if at least one value exists in the value collection</DL>
</DD>
</DL>
<HR>

<A NAME="contains(int)"><!-- --></A><H3>
contains</H3>
<PRE>
public boolean <A HREF="../../../../src-html/ch/javasoft/util/map/DefaultIntIntMultiValueMap.html#line.258"><B>contains</B></A>(int&nbsp;key)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/util/map/IntIntMultiValueMap.html#contains(int)">IntIntMultiValueMap</A></CODE></B></DD>
<DD>Returns true if the value collection is non-empty
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/map/IntIntMultiValueMap.html#contains(int)">contains</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/map/IntIntMultiValueMap.html" title="interface in ch.javasoft.util.map">IntIntMultiValueMap</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>key</CODE> - the key which identifies the value collection
<DT><B>Returns:</B><DD>true if at least one value exists in the value collection</DL>
</DD>
</DL>
<HR>

<A NAME="contains(java.lang.Object, java.lang.Integer)"><!-- --></A><H3>
contains</H3>
<PRE>
public boolean <A HREF="../../../../src-html/ch/javasoft/util/map/DefaultIntIntMultiValueMap.html#line.261"><B>contains</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;key,
                        <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&nbsp;value)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html#contains(java.lang.Object, V)">MultiValueMap</A></CODE></B></DD>
<DD>Returns true if the value collection contains at least one occurrence of
 the given value
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html#contains(java.lang.Object, V)">contains</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html" title="interface in ch.javasoft.util.map">MultiValueMap</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;</CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>key</CODE> - the key which identifies the value collection<DD><CODE>value</CODE> - the value to look for
<DT><B>Returns:</B><DD>true if at least one such value exists in the value collection</DL>
</DD>
</DL>
<HR>

<A NAME="contains(int, int)"><!-- --></A><H3>
contains</H3>
<PRE>
public boolean <A HREF="../../../../src-html/ch/javasoft/util/map/DefaultIntIntMultiValueMap.html#line.265"><B>contains</B></A>(int&nbsp;key,
                        int&nbsp;value)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/util/map/IntIntMultiValueMap.html#contains(int, int)">IntIntMultiValueMap</A></CODE></B></DD>
<DD>Returns true if the value collection contains at least one occurrence of
 the given value
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/map/IntIntMultiValueMap.html#contains(int, int)">contains</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/map/IntIntMultiValueMap.html" title="interface in ch.javasoft.util.map">IntIntMultiValueMap</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>key</CODE> - the key which identifies the value collection<DD><CODE>value</CODE> - the value to look for
<DT><B>Returns:</B><DD>true if at least one such value exists in the value collection</DL>
</DD>
</DL>
<HR>

<A NAME="remove(java.lang.Object)"><!-- --></A><H3>
remove</H3>
<PRE>
public boolean <A HREF="../../../../src-html/ch/javasoft/util/map/DefaultIntIntMultiValueMap.html#line.280"><B>remove</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;key)</PRE>
<DL>
<DD>Returns all values belonging to this key, i.e. the value collection is
 cleared
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html#remove(java.lang.Object)">remove</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html" title="interface in ch.javasoft.util.map">MultiValueMap</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;</CODE><DT><B>Overrides:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/map/AbstractMultiValueMap.html#remove(java.lang.Object)">remove</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/util/map/AbstractMultiValueMap.html" title="class in ch.javasoft.util.map">AbstractMultiValueMap</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;</CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>key</CODE> - the key which identifies the value collection
<DT><B>Returns:</B><DD>true if this map has changed as a consequence of this 
                        operation
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/UnsupportedOperationException.html" title="class or interface in java.lang">UnsupportedOperationException</A></CODE> - if this is an immutable map</DL>
</DD>
</DL>
<HR>

<A NAME="remove(int)"><!-- --></A><H3>
remove</H3>
<PRE>
public boolean <A HREF="../../../../src-html/ch/javasoft/util/map/DefaultIntIntMultiValueMap.html#line.283"><B>remove</B></A>(int&nbsp;key)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/util/map/IntIntMultiValueMap.html#remove(int)">IntIntMultiValueMap</A></CODE></B></DD>
<DD>Returns all values belonging to this key, i.e. the value collection is
 cleared
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/map/IntIntMultiValueMap.html#remove(int)">remove</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/map/IntIntMultiValueMap.html" title="interface in ch.javasoft.util.map">IntIntMultiValueMap</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>key</CODE> - the key which identifies the value collection
<DT><B>Returns:</B><DD>true if this map has changed as a consequence of this 
                        operation</DL>
</DD>
</DL>
<HR>

<A NAME="remove(java.lang.Object, java.lang.Integer)"><!-- --></A><H3>
remove</H3>
<PRE>
public boolean <A HREF="../../../../src-html/ch/javasoft/util/map/DefaultIntIntMultiValueMap.html#line.297"><B>remove</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;key,
                      <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&nbsp;value)</PRE>
<DL>
<DD>Returns a single value of the value collection, if it exists
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html#remove(java.lang.Object, V)">remove</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html" title="interface in ch.javasoft.util.map">MultiValueMap</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;</CODE><DT><B>Overrides:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/map/AbstractMultiValueMap.html#remove(java.lang.Object, V)">remove</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/util/map/AbstractMultiValueMap.html" title="class in ch.javasoft.util.map">AbstractMultiValueMap</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;</CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>key</CODE> - the key which identifies the value collection<DD><CODE>value</CODE> - the value to remove
<DT><B>Returns:</B><DD>true if this map has changed as a consequence of this 
                        operation
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/UnsupportedOperationException.html" title="class or interface in java.lang">UnsupportedOperationException</A></CODE> - if this is an immutable map</DL>
</DD>
</DL>
<HR>

<A NAME="remove(int, int)"><!-- --></A><H3>
remove</H3>
<PRE>
public boolean <A HREF="../../../../src-html/ch/javasoft/util/map/DefaultIntIntMultiValueMap.html#line.308"><B>remove</B></A>(int&nbsp;key,
                      int&nbsp;value)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/util/map/IntIntMultiValueMap.html#remove(int, int)">IntIntMultiValueMap</A></CODE></B></DD>
<DD>Returns a single value of the value collection, if it exists
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/map/IntIntMultiValueMap.html#remove(int, int)">remove</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/map/IntIntMultiValueMap.html" title="interface in ch.javasoft.util.map">IntIntMultiValueMap</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>key</CODE> - the key which identifies the value collection<DD><CODE>value</CODE> - the value to remove
<DT><B>Returns:</B><DD>true if this map has changed as a consequence of this 
                        operation</DL>
</DD>
</DL>
<HR>

<A NAME="clear()"><!-- --></A><H3>
clear</H3>
<PRE>
public boolean <A HREF="../../../../src-html/ch/javasoft/util/map/DefaultIntIntMultiValueMap.html#line.328"><B>clear</B></A>()</PRE>
<DL>
<DD>Removes all entries from this mapping
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/map/IntIntMultiValueMap.html#clear()">clear</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/map/IntIntMultiValueMap.html" title="interface in ch.javasoft.util.map">IntIntMultiValueMap</A></CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html#clear()">clear</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html" title="interface in ch.javasoft.util.map">MultiValueMap</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;</CODE><DT><B>Overrides:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/map/AbstractMultiValueMap.html#clear()">clear</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/util/map/AbstractMultiValueMap.html" title="class in ch.javasoft.util.map">AbstractMultiValueMap</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;</CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>true if this mapping has changed as a consequence of this 
                        operation
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/UnsupportedOperationException.html" title="class or interface in java.lang">UnsupportedOperationException</A></CODE> - if this is an immutable map</DL>
</DD>
</DL>
<HR>

<A NAME="keySet()"><!-- --></A><H3>
keySet</H3>
<PRE>
public <A HREF="../../../../ch/javasoft/util/ints/IntSet.html" title="interface in ch.javasoft.util.ints">IntSet</A> <A HREF="../../../../src-html/ch/javasoft/util/map/DefaultIntIntMultiValueMap.html#line.342"><B>keySet</B></A>()</PRE>
<DL>
<DD>Returns an modifiable key set, i.e. removal of keys is also reflected in 
 this multi value map
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/map/IntIntMultiValueMap.html#keySet()">keySet</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/map/IntIntMultiValueMap.html" title="interface in ch.javasoft.util.map">IntIntMultiValueMap</A></CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html#keySet()">keySet</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html" title="interface in ch.javasoft.util.map">MultiValueMap</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;</CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>the set of keys identifying non-empty value collections<DT><B>See Also:</B><DD><A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html#get(java.lang.Object)"><CODE>MultiValueMap.get(Object)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="values()"><!-- --></A><H3>
values</H3>
<PRE>
public <A HREF="../../../../ch/javasoft/util/ints/IntIterable.html" title="interface in ch.javasoft.util.ints">IntIterable</A> <A HREF="../../../../src-html/ch/javasoft/util/map/DefaultIntIntMultiValueMap.html#line.352"><B>values</B></A>()</PRE>
<DL>
<DD>Returns an unmodifiable iterator for all values
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/map/IntIntMultiValueMap.html#values()">values</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/map/IntIntMultiValueMap.html" title="interface in ch.javasoft.util.map">IntIntMultiValueMap</A></CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html#values()">values</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html" title="interface in ch.javasoft.util.map">MultiValueMap</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;</CODE><DT><B>Overrides:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/map/AbstractMultiValueMap.html#values()">values</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/util/map/AbstractMultiValueMap.html" title="class in ch.javasoft.util.map">AbstractMultiValueMap</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;</CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>an iterator for all values contained in this mapping<DT><B>See Also:</B><DD><A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html#values()"><CODE>MultiValueMap.values()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="asCollectionMap()"><!-- --></A><H3>
asCollectionMap</H3>
<PRE>
public <A HREF="../../../../ch/javasoft/util/ints/IntMap.html" title="interface in ch.javasoft.util.ints">IntMap</A>&lt;? extends <A HREF="../../../../ch/javasoft/util/ints/IntCollection.html" title="interface in ch.javasoft.util.ints">IntCollection</A>&gt; <A HREF="../../../../src-html/ch/javasoft/util/map/DefaultIntIntMultiValueMap.html#line.397"><B>asCollectionMap</B></A>()</PRE>
<DL>
<DD>Implementation returns an <A HREF="../../../../ch/javasoft/util/ints/IntHashMap.html" title="class in ch.javasoft.util.ints"><CODE>IntHashMap</CODE></A> containing 
 <A HREF="../../../../ch/javasoft/util/ints/DefaultIntList.html" title="class in ch.javasoft.util.ints"><CODE>DefaultIntList</CODE></A> instances. 
 <p>
 Changing the returned map does not affect this multi value map.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/map/IntIntMultiValueMap.html#asCollectionMap()">asCollectionMap</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/map/IntIntMultiValueMap.html" title="interface in ch.javasoft.util.map">IntIntMultiValueMap</A></CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html#asCollectionMap()">asCollectionMap</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html" title="interface in ch.javasoft.util.map">MultiValueMap</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;</CODE><DT><B>Overrides:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/map/AbstractMultiValueMap.html#asCollectionMap()">asCollectionMap</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/util/map/AbstractMultiValueMap.html" title="class in ch.javasoft.util.map">AbstractMultiValueMap</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;</CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>a map with key/collection-of-value entries<DT><B>See Also:</B><DD><A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html#asCollectionMap()"><CODE>MultiValueMap.asCollectionMap()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="asSingleValueMap()"><!-- --></A><H3>
asSingleValueMap</H3>
<PRE>
public <A HREF="../../../../ch/javasoft/util/ints/IntMap.html" title="interface in ch.javasoft.util.ints">IntMap</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt; <A HREF="../../../../src-html/ch/javasoft/util/map/DefaultIntIntMultiValueMap.html#line.415"><B>asSingleValueMap</B></A>()</PRE>
<DL>
<DD>Implementation returns an <A HREF="../../../../ch/javasoft/util/ints/IntHashMap.html" title="class in ch.javasoft.util.ints"><CODE>IntHashMap</CODE></A> containing 
 the single values.
 <p>
 Changing the returned map does not affect this multi value map.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/map/IntIntMultiValueMap.html#asSingleValueMap()">asSingleValueMap</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/map/IntIntMultiValueMap.html" title="interface in ch.javasoft.util.map">IntIntMultiValueMap</A></CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html#asSingleValueMap()">asSingleValueMap</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html" title="interface in ch.javasoft.util.map">MultiValueMap</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;</CODE><DT><B>Overrides:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/map/AbstractMultiValueMap.html#asSingleValueMap()">asSingleValueMap</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/util/map/AbstractMultiValueMap.html" title="class in ch.javasoft.util.map">AbstractMultiValueMap</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;</CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>a map with key and first associated value<DT><B>See Also:</B><DD><A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html#asSingleValueMap()"><CODE>MultiValueMap.asSingleValueMap()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="invert()"><!-- --></A><H3>
invert</H3>
<PRE>
public <A HREF="../../../../ch/javasoft/util/map/IntIntMultiValueMap.html" title="interface in ch.javasoft.util.map">IntIntMultiValueMap</A> <A HREF="../../../../src-html/ch/javasoft/util/map/DefaultIntIntMultiValueMap.html#line.432"><B>invert</B></A>()</PRE>
<DL>
<DD>Implementation returns a new <A HREF="../../../../ch/javasoft/util/map/DefaultIntIntMultiValueMap.html" title="class in ch.javasoft.util.map"><CODE>DefaultIntIntMultiValueMap</CODE></A> instance.
 <p>
 Changing the returned map does not affect this multi value map.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/map/IntIntMultiValueMap.html#invert()">invert</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/map/IntIntMultiValueMap.html" title="interface in ch.javasoft.util.map">IntIntMultiValueMap</A></CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html#invert()">invert</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html" title="interface in ch.javasoft.util.map">MultiValueMap</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;</CODE><DT><B>Overrides:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/map/AbstractMultiValueMap.html#invert()">invert</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/util/map/AbstractMultiValueMap.html" title="class in ch.javasoft.util.map">AbstractMultiValueMap</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;</CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>the inverted value-key mapping<DT><B>See Also:</B><DD><A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html#invert()"><CODE>MultiValueMap.invert()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="clone()"><!-- --></A><H3>
clone</H3>
<PRE>
public <A HREF="../../../../ch/javasoft/util/map/DefaultIntIntMultiValueMap.html" title="class in ch.javasoft.util.map">DefaultIntIntMultiValueMap</A> <A HREF="../../../../src-html/ch/javasoft/util/map/DefaultIntIntMultiValueMap.html#line.451"><B>clone</B></A>()</PRE>
<DL>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#clone()" title="class or interface in java.lang">clone</A></CODE> in class <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getOrCreateCollection(int)"><!-- --></A><H3>
getOrCreateCollection</H3>
<PRE>
protected <A HREF="../../../../ch/javasoft/util/ints/IntCollection.html" title="interface in ch.javasoft.util.ints">IntCollection</A> <A HREF="../../../../src-html/ch/javasoft/util/map/DefaultIntIntMultiValueMap.html#line.472"><B>getOrCreateCollection</B></A>(int&nbsp;key)</PRE>
<DL>
<DD>Returns the value collection for the specified key. If no such
 collection exists, a new collection is 
 <A HREF="../../../../ch/javasoft/util/map/DefaultIntIntMultiValueMap.html#createCollection(int)"><CODE>created</CODE></A> and added to the backing
 map.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>key</CODE> - the key identifying the value collection
<DT><B>Returns:</B><DD>the value collection</DL>
</DD>
</DL>
<HR>

<A NAME="createCollection(int)"><!-- --></A><H3>
createCollection</H3>
<PRE>
protected <A HREF="../../../../ch/javasoft/util/ints/IntCollection.html" title="interface in ch.javasoft.util.ints">IntCollection</A> <A HREF="../../../../src-html/ch/javasoft/util/map/DefaultIntIntMultiValueMap.html#line.486"><B>createCollection</B></A>(int&nbsp;key)</PRE>
<DL>
<DD>Returns a new int list instance. By default, an <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/ArrayList.html" title="class or interface in java.util"><CODE>ArrayList</CODE></A> of
 size one is created. The method shall never return null.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>key</CODE> - the key for which a value collection is to be created
<DT><B>Returns:</B><DD>the new array list instance</DL>
</DD>
</DL>
<HR>

<A NAME="createMap()"><!-- --></A><H3>
createMap</H3>
<PRE>
protected <A HREF="../../../../ch/javasoft/util/ints/IntMap.html" title="interface in ch.javasoft.util.ints">IntMap</A>&lt;<A HREF="../../../../ch/javasoft/util/ints/IntCollection.html" title="interface in ch.javasoft.util.ints">IntCollection</A>&gt; <A HREF="../../../../src-html/ch/javasoft/util/map/DefaultIntIntMultiValueMap.html#line.495"><B>createMap</B></A>()</PRE>
<DL>
<DD>Returns a new map instance. By default, a <A HREF="../../../../ch/javasoft/util/ints/IntHashMap.html" title="class in ch.javasoft.util.ints"><CODE>IntHashMap</CODE></A> is returned.
 The method shall never return null.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>the new int hash map instance</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/DefaultIntIntMultiValueMap.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/util/map/AbstractMutableMultiValueMap.html" title="class in ch.javasoft.util.map"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/util/map/DefaultMultiValueMap.html" title="class in ch.javasoft.util.map"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/util/map/DefaultIntIntMultiValueMap.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="DefaultIntIntMultiValueMap.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
